Due to a recent update on Javascript code a full page refresh on your browser might be needed.
Bug 652152 - gs -sDEVICE=x11alpha pdf crashes
Summary: gs -sDEVICE=x11alpha pdf crashes
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ghostscript
Version: 14
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-11-11 07:20 UTC by Jonathan Ryshpan
Modified: 2011-09-26 23:28 UTC (History)
4 users (show)

Fixed In Version: ghostscript-9.04-3.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-09-26 23:28:12 UTC
Type: ---


Attachments (Terms of Use)
Government report displayable by acrpread but not by gv. (290.00 KB, application/pdf)
2010-11-11 07:20 UTC, Jonathan Ryshpan
no flags Details

Description Jonathan Ryshpan 2010-11-11 07:20:55 UTC
Created attachment 459669 [details]
Government report displayable by acrpread but not by gv.

Description of problem: gv fails while attempting to display the contents of the latest Fiscal Commission Co Chairs Proposal, available at: http://www.fiscalcommission.gov/sites/fiscalcommission.gov/files/documents/CoChair_Draft.pdf

Version-Release number of selected component (if applicable):
gv-3.7.1-1.fc13.x86_64

How reproducible:
Always

Steps to Reproduce:
1. $ gv CoChair_Draft-1.pdf
  
Actual results:
Page 1 doesn't display.  Pages 2,3,4 do.  Page 5 doesn't. etc

Expected results:
All pages display.

Additional info:
acroread displays this without trouble but can't print it.  I suspect the printing problem is related to the issues with gv.

Comment 1 M. Steinborn 2010-12-03 15:35:15 UTC
I tried the linked PDF (suppose it's the same as attached to this bug report) - using GPL ghostscript 9.0 and GNU ghosrscript 8.71.0 (both with same results):

gs -sDEVICE=x11 CoChair_Draft.pdf          works

whereas

gs -sDEVICE=x11alpha   CoChair_Draft.pdf     crashes


Consequently,

gv --noantialias CoChair_Draft.pdf

works for me, as it uses "-sDEVICE=x11", whereas

gv --antialias CoChair_Draft.pdf

resp. (unless you haven't changed the default settings)

gv -CoChair_Draft.pdf

are crashing, because they use "-sDEVICE=x11alpha".


So that's a ghostscript bug, isn't it?

Comment 2 Orion Poplawski 2010-12-03 15:55:32 UTC
Reassigning...

Comment 3 Bug Zapper 2011-05-30 13:52:55 UTC
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 M. Steinborn 2011-05-30 15:31:00 UTC
According to http://bugs.ghostscript.com/show_bug.cgi?id=689734 this bug has been fixed in rev 12380 of ghostscript, and indeed, using Ghostscript 9.02 + patch 12380, the example file of this bug report is working as expected.

Looking at the latest koji build, I haven't seen this patch (I admit I only looked at your (i.e. Tim's changelog). So I assume Fedora 14, 15 and Rawhide have this bug, too.

Comment 5 Tim Waugh 2011-05-31 10:58:59 UTC
Thanks for investigating.

Comment 6 Tim Waugh 2011-08-11 16:06:43 UTC
Fixed for Fedora 15 in ghostscript-9.04-1.fc15.

Comment 7 Fedora Update System 2011-08-11 16:24:59 UTC
ghostscript-9.04-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/ghostscript-9.04-1.fc15

Comment 8 Jonathan Ryshpan 2011-08-11 17:15:57 UTC
Thanks to all - jon

Comment 9 Fedora Update System 2011-08-12 10:58:41 UTC
Package ghostscript-9.04-1.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing ghostscript-9.04-1.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/ghostscript-9.04-1.fc15
then log in and leave karma (feedback).

Comment 10 Fedora Update System 2011-08-17 01:12:47 UTC
Package ghostscript-9.04-2.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing ghostscript-9.04-2.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/ghostscript-9.04-2.fc15
then log in and leave karma (feedback).

Comment 11 Fedora Update System 2011-08-23 04:25:08 UTC
Package ghostscript-9.04-3.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing ghostscript-9.04-3.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/ghostscript-9.04-3.fc15
then log in and leave karma (feedback).

Comment 12 Fedora Update System 2011-09-26 23:27:44 UTC
ghostscript-9.04-3.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.